View Issue Details

IDProjectCategoryView StatusLast Update
0004120ScribusImport / Exportpublic2006-08-17 09:58
ReporterCogvos Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindws XP and Prob LinuxOSWindow/LinuxOS Version
Product Version1.3.3.3 
Target VersionFixed in Version1.3.3.4cvs 
Summary0004120: SVG import incorrectly handle transparency
DescriptionIf you import a SVG file, from say Inkscape, which has transparant objects then you get a message 'SVG file contains some unsupported features.' The objects are then imported as solid.

However if you then ungroup the objects and press F2 you can give them transparancy in the colors palette, which isn't very consitant.

So transparancy is supported, but does not yet get picked up in the import.
 
Steps To ReproduceImport the attached file.

Select the objects. Ungroup. select an object, Press F2, select colors, change the opacity
TagsNo tags attached.
Patch

Relationships

child of 0002931 acknowledged Metabug: SVG 

Activities

2006-08-13 11:16

 

transparent.svg (2,450 bytes)

Cogvos

2006-08-13 11:19

reporter   ~0012166

opps sorry title should read 'SVG' import not cvs!

jghali

2006-08-13 20:49

administrator   ~0012170

In fact, SVG import already support transparency but behavior when opacity and fill-opacity attributes are both provided is incorrect

Cogvos

2006-08-13 21:25

reporter   ~0012171

<idiot user on>
Sorry could you please quickly explain the difference between opacity and fill-opacity? I do not have access to or knowledge of SVG specs. There are two options in inkscape, one marked 'A' and one marked master opacity. Both seem to provide the same effect, but I guess they don't?
</idiot user off>

Many thanks

jghali

2006-08-14 07:01

administrator   ~0012183

I have not inkscaped installed. Shortly opacity attribute apply to the whole object whereas fill-opacity or stroke opacity apply respectively to the fill or stroke color.

plinnell

2006-08-14 09:30

viewer   ~0012185

displays perfectly now on canvas and exports to PDF. The 'unsupported feature' warning is for metadata. If you start Scribus from the console the error message in the console will report which feature is unsupported.

plinnell

2006-08-17 09:58

viewer   ~0012204

tested fixed

Issue History

Date Modified Username Field Change
2006-08-13 11:16 Cogvos New Issue
2006-08-13 11:16 Cogvos File Added: transparent.svg
2006-08-13 11:19 Cogvos Note Added: 0012166
2006-08-13 11:29 jghali Summary CVS import cannot yet handle transparency => SVG import cannot yet handle transparency
2006-08-13 15:11 jo-hannes Relationship added child of 0002931
2006-08-13 15:12 jo-hannes Category - => Import / Export
2006-08-13 20:39 jghali Status new => confirmed
2006-08-13 20:49 jghali Note Added: 0012170
2006-08-13 20:49 jghali Summary SVG import cannot yet handle transparency => SVG import incorrectly handle transparency
2006-08-13 21:25 Cogvos Note Added: 0012171
2006-08-14 07:01 jghali Note Added: 0012183
2006-08-14 09:30 plinnell Note Added: 0012185
2006-08-14 09:31 plinnell Assigned To => jghali
2006-08-14 09:31 plinnell Status confirmed => resolved
2006-08-14 09:31 plinnell Resolution open => fixed
2006-08-14 09:31 plinnell Fixed in Version => 1.3.3.4cvs
2006-08-17 09:58 plinnell Status resolved => closed
2006-08-17 09:58 plinnell Note Added: 0012204